//
//  main.h
//  EtaPi_Moments
//
//  Created by Vincent Mathieu on 11/28/18.
//  Copyright (c) 2018 Vincent Mathieu. All rights reserved.
//

#ifndef EtaPi_Moments_main_h
#define EtaPi_Moments_main_h

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <string.h>
#include <complex.h>
#include <unistd.h>

#define MP      0.93827203
#define MPI     0.13957061
#define META    0.547682
#define METAP   0.95778
#if !defined( M_PI )
  #define M_PI 3.141592654		// otherwise it doesn't compile on FuturGrid
#endif


double intH(double x, double *par);
void printMoments(double par[4][5], double var[3]);
double complex Moments(int alp, int L, int M, double par[4][5], double var[3]);
double intMoments(int alp, int L, int M, double par[4][5], double var[3]);
double complex sdme(int alp, int L1, int L2, int M1, int M2, double par[4][5], double var[3]);
double complex partialwaves(double par[4][5], double var[3], int L, int hel[4]);


#endif
