//
//  modules.h
//  EtaPi_Moments
//
//  Created by Vincent Mathieu on 10/23/18.
//  Copyright (c) 2018 Vincent Mathieu. All rights reserved.
//

#ifndef __EtaPi_Moments__modules__
#define __EtaPi_Moments__modules__

#include "main.h"

int isfrac(double x);
long int factorial(int n);
double clebsch(double j1, double j2, double j3, double m1, double m2);
double complex cgamma(double complex z,int OPT);
double simpson(double (*f)(double, double *),double *par, double a,double b);
double int_adaptsimpson(double (*f)(double, double *), double *par, double a,double b,double tau);
double complex lambda(double complex a, double b, double c);
void LegendreP(double z, double pol[10], double pol1p[10]);
double wignerD(int J, int M1, int M2, double theta);
double Cos2T(double s, double z, double mass[5]);
double T2Cos(double s, double t, double mass[5]);

#endif /* defined(__EtaPi_Moments__modules__) */
